Bug 1842323 - gst connects to internet without user notification or consent
Summary: gst connects to internet without user notification or consent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gst
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-31 21:00 UTC by Steve
Modified: 2020-07-07 01:05 UTC (History)
1 user (show)

Fixed In Version: gst-0.7.4-1.fc31 gst-0.7.4-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-07 00:59:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gitlab leinardi/gst/-/issues/22 None None None 2020-06-01 19:58:04 UTC

Description Steve 2020-05-31 21:00:28 UTC
Description of problem:

gst is a stress test, so there is no expectation that it would connect to the internet, yet that is what gst does during normal operation.

Users should be notified when an app is going to connect to the internet and be asked for explicit consent, if the app is not expected to access the internet.

Version-Release number of selected component (if applicable):
gst-0:0.7.2-1.fc31.noarch

How reproducible:
Always.

Steps to Reproduce:

Run "strace -f -o /tmp/strace2.txt gst" and look for network-related system calls.

or 

Start wireshark before running gst.

Actual results:
Connects to internet.

Expected results:
Does not connect to the internet without explicit notification and consent of user.

Additional info:

Name lookup for "flathub.org":

$ grep -m1 flathub strace2.txt 
2383  sendmmsg(18, [{msg_hdr={msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="\275\275\1\0\0\1\0\0\0\0\0\0\7flathub\3org\0\0\1\0\1", iov_len=29}], msg_iovlen=1, msg_controllen=0, msg_flags=0}, msg_len=29}, {msg_hdr={msg_name=NULL, msg_namelen=0, msg_iov=[{iov_base="\353\271\1\0\0\1\0\0\0\0\0\0\7flathub\3org\0\0\34\0\1", iov_len=29}], msg_iovlen=1, msg_controllen=0, msg_flags=0}, msg_len=29}], 2, MSG_NOSIGNAL) = 2

Connections to IP address "46.235.231.150":

$ grep -m1 'connect.*inet_addr("46.235.231.150")' strace2.txt 
2383  connect(18, {sa_family=AF_INET, sin_port=htons(443), sin_addr=inet_addr("46.235.231.150")}, 16 <unfinished ...>

$ host flathub.org | head -1
flathub.org has address 46.235.231.150

Comment 1 Artem 2020-06-01 19:58:05 UTC
@Steve, reported upstream https://gitlab.com/leinardi/gst/-/issues/22

Comment 2 Steve 2020-06-01 20:51:19 UTC
(In reply to Artem from comment #1)
> @Steve, reported upstream https://gitlab.com/leinardi/gst/-/issues/22

Thanks, Artem.

Comment 3 Fedora Update System 2020-06-28 15:11:30 UTC
FEDORA-2020-9e6f5b3ae2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e6f5b3ae2

Comment 4 Fedora Update System 2020-06-28 15:17:02 UTC
FEDORA-2020-3d23d3ea02 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d23d3ea02

Comment 5 Fedora Update System 2020-06-29 01:18:52 UTC
FEDORA-2020-3d23d3ea02 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3d23d3ea02`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3d23d3ea02

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-29 01:27:07 UTC
FEDORA-2020-9e6f5b3ae2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9e6f5b3ae2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e6f5b3ae2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-07 00:59:26 UTC
FEDORA-2020-3d23d3ea02 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-07-07 01:05:45 UTC
FEDORA-2020-9e6f5b3ae2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.